COMMENT @%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

	Copyright (c) GeoWorks 1993 -- All Rights Reserved

PROJECT:	
MODULE:		
FILE:		pcmCheckLocked.asm

AUTHOR:		Adam de Boor, May 20, 1993

ROUTINES:
	Name			Description
	----			-----------

	
REVISION HISTORY:
	Name	Date		Description
	----	----		-----------
	Adam	5/20/93		Initial revision


DESCRIPTION:
	Function to see if the card is locked in.
		

	$Id: pcmCheckLocked.asm,v 1.1.1.1 93/05/20 18:26:36 adam Exp $

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%@

COMMENT @%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
		PCMCheckCardLocked
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

SYNOPSIS:	See if the card is locked in the socket

CALLED BY:	(EXTERNAL)
PASS:		nothing
RETURN:		carry set if card locked in
DESTROYED:	nothing
SIDE EFFECTS:	

PSEUDO CODE/STRATEGY:
		

REVISION HISTORY:
	Name	Date		Description
	----	----		-----------
	ardeb	5/13/93		Initial version

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%@
PCMCheckCardLocked proc	far
		uses	ax, bx, dx, di
		.enter
		call	SysLockBIOS
		mov	ax, SS_GET_STATUS shl 8
		clr	bl			; socket 0
		int	SOCKET_SERV_INTERRUPT
		test	bh, mask SBM_LOCKED	; (clears carry)
		jz	done
		stc
done:
		call	SysUnlockBIOS
		.leave
		ret
PCMCheckCardLocked endp
