##############################################################################
#
# 	Copyright (c) GeoWorks 1992 -- All Rights Reserved
#
# PROJECT:	System Makefiles
# MODULE:	Geode creation
# FILE: 	geode.mk
# AUTHOR: 	Adam de Boor, August 31, 1992
#
# TARGETS:
# 	Name			Description
#	----			-----------
#
# REVISION HISTORY:
#	Name	Date		Description
#	----	----		-----------
#	ardeb	8/31/92		Initial Revision
#
# DESCRIPTION:
#	This is a makefile that sets variables for using Borland C++ 3.0
#	or later. It is included by geos.mk when it has been copied to
#	compiler.mk in the INCLUDE directory.
#
#	$Id: borland.mk,v 1.16 93/12/28 17:39:36 jon Exp $
#
###############################################################################
#if !defined(_COMPILER_MK_)
_COMPILER_MK_ = 1

#if !defined(_BCC_)
_BCC_ = 1
#endif

# XCCOMFLAGS is intended to be filled on the command-line
#
#   -D__GEOS__ added to identify PC/GEOS usage.
#
#	-Ot: do inline structure copies rather than calling F_SCOPY@
#	-c: suppress link
#	-v: place debugging records in the output
#	-y: place line number records in the output
#	-ml: LARGE memory model
#       -i200:  identifiers are 200 characters long
# ***   -w-sus: Turn off suspicious pointer conversion warnings.  (Fix this in
#               GOC?  j- 5/9/96)
#
# New flags added 5/9/96.  Flags marked with a "***" indicate that the flag
# was added because of superfluous warnings generated by GOC.  We really need
# to clean these up so developers can use the "-w" flag alone.
# 
#       -w: Turn on ALL warnings.
# ***   -g255: Allow 255 warnings before compilation fails.
# ***   -w-amp: Turn off "superfluous & with function" warnings
# ***   -w-pin: Turn off "initialization is only partially bracketed" warnings
# ***   -w-cln: Turn off "constant is long" warnings
# ***   -w-sig: Turn off "conversion may lose significant digits" warnings
#

CPP		?= CPP
CCOM		?= BCC
CCOM_MODEL	?= -ml
CCOMFLAGS	+= -D__GEOS__ -Ot -c -v -y -w -g255 -w-amp -w-pin -w-cln \
-w-sig -w-sus -i200 $(CCOM_MODEL) $(-CIFLAGS) $(XCCOMFLAGS)

#taken care of by Glue..
MATHLIB		=

GOCFLAGS	+= -cb

#if exists($(ROOT_DIR)\INCLUDE\LDF\BORLAND.OBJ)
OPTIONAL_LIB	+= -l$(ROOT_DIR)\INCLUDE\LDF\BORLAND.OBJ
#endif

#
# Arguments to give to MAKEDPND to invoke the compiler for generating
# dependencies.
#
COMPILER_DEPENDS	= CPP BORLAND $(CPP) $(CCOMFLAGS)

#
# Rules for creating object files with this compiler.
#
.C.EBJ		:
	$(CCOM) -DDO_ERROR_CHECKING $(CCOMFLAGS) -o$(.TARGET) $(.IMPSRC)
.EC.EBJ		:
	$(CCOM) -DDO_ERROR_CHECKING $(CCOMFLAGS) -o$(.TARGET) $(.IMPSRC)

.C.OBJ		:
	$(CCOM) $(CCOMFLAGS) -o$(.TARGET) $(.IMPSRC)
.NC.OBJ		:
	$(CCOM) $(CCOMFLAGS) -o$(.TARGET) $(.IMPSRC)

#endif _COMPILER_MK_




